'//////////////////////////////////////////////////////////////////////////////
'//
'//  Copyright 2025 Autodesk, Inc.  All rights reserved.
'//
'//  Use of this software is subject to the terms of the Autodesk license 
'//  agreement provided at the time of installation or download, or which 
'//  otherwise accompanies this software in either electronic or hard copy form.   
'//
'//////////////////////////////////////////////////////////////////////////////
'

Imports System.Runtime.InteropServices
Imports System.Reflection
Imports System.Type

Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports SymBBAuto.McadOrientation
Imports SymBBAuto.McadWeldSymbolType
Imports SymBBAuto


<Assembly: ExtensionApplication(GetType(netDetail.netDetail))>
<Assembly: CommandClass(GetType(netDetail.createCommand))>
Namespace netDetail
    Public Class netDetail
        Implements Autodesk.AutoCAD.Runtime.IExtensionApplication

        Public Sub Initialize() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Initialize

        End Sub

        Public Sub Terminate() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Terminate

        End Sub
    End Class

    Public Class createCommand
        <Autodesk.AutoCAD.Runtime.CommandMethod("CREATEDETAILSYM")>
        Public Sub ShowNet()
            Dim userForm As New frmDetail
            userForm.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
            userForm.Show()
        End Sub
    End Class

End Namespace
